Subject: Re: FVWM: FvwmAnimate and strokes

From: Dominik Vogt <[email-masked]>
Date: Wed, 8 May 2002 23:48:45 +0200

On Thu, Apr 04, 2002 at 05:29:47AM +0200, Christian MICHON wrote:
> Hi Dominik,
> 
> > You can't chose the color with xor'ing gcs.  The given bit planes
> > are inverted.  In some visuals that just changes the index of the
> > colour in the table which can be any random colour.  Xor'ing has
> > nothing to do with actual rgb values.
> 
> got it... But it'd be way cool to be able to truly control the color
> when moving or iconifying windows. Is this in anyway in a TODO list
> for new features ?

Sorry for the late reply.

No, it's not on the to do list.  It can't be done easily because
only the xor operation can be easily erased without causing all
windows below it to flicker.  If we'd draw the animation lines in
a specific colour, we'd have to erase the lines and cause the
windows below to redraw their windows.  That would make the
animation very unpleasant.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].